Quote (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.cache.query.data

## Class Quote

- java.lang.Object
- - org.apache.geode.cache.query.data.Quote

- All Implemented Interfaces:
    java.io.Serializable

      public class Quote
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `channelName`
    `int` | `cusip`
    `int` | `dealerCode`
    `java.lang.String` | `dealerPortfolio`
    `int` | `lowerQty`
    `double` | `price`
    `java.lang.String` | `priceType`
    `int` | `quoteId`
    `java.lang.String` | `quoteIdStr`
    `java.lang.String` | `quoteType`
    `java.util.Set` | `restrict`
    `java.lang.String` | `uniqueQuoteType`
    `int` | `upperQty`
    `int` | `ytm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Quote(int i)` Creates a new instance of Quote

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelName()`
    `int` | `getCusip()`
    `java.lang.String` | `getDealerPortfolio()`
    `int` | `getLowerQty()`
    `double` | `getPrice()`
    `java.lang.String` | `getQuoteIdStr()`
    `java.lang.String` | `getQuoteType()`
    `java.lang.String` | `getUniqueQuoteType()`
    `int` | `getUpperQty()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cusip

          public int cusip

    - #### quoteId

          public int quoteId

    - #### quoteIdStr

          public java.lang.String quoteIdStr

    - #### quoteType

          public java.lang.String quoteType

    - #### uniqueQuoteType

          public java.lang.String uniqueQuoteType

    - #### dealerPortfolio

          public java.lang.String dealerPortfolio

    - #### dealerCode

          public int dealerCode

    - #### channelName

          public java.lang.String channelName

    - #### priceType

          public java.lang.String priceType

    - #### price

          public double price

    - #### lowerQty

          public int lowerQty

    - #### upperQty

          public int upperQty

    - #### ytm

          public int ytm

    - #### restrict

          public java.util.Set restrict

  - ### Constructor Detail

    - #### Quote

          public Quote(int i)

      Creates a new instance of Quote

  - ### Method Detail

    - #### getCusip

          public int getCusip()

    - #### getQuoteIdStr

          public java.lang.String getQuoteIdStr()

    - #### getQuoteType

          public java.lang.String getQuoteType()

    - #### getUniqueQuoteType

          public java.lang.String getUniqueQuoteType()

    - #### getDealerPortfolio

          public java.lang.String getDealerPortfolio()

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### getLowerQty

          public int getLowerQty()

    - #### getUpperQty

          public int getUpperQty()

    - #### getPrice

          public double getPrice()